{% extends 'base.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-md-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Nouvelle catégorie</h4>
                    <hr>
                    {{ form_start(form) }}
                        <div class="form-group">
                            {{ form_label(form.name, 'Nom') }}
                            {{ form_widget(form.name, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(form.name) }}
                        </div>
                        <div class="form-group">
                            {{ form_label(form.parent, 'Catégorie parente') }}
                            {{ form_widget(form.parent, {attr: {class: 'select2 form-control select2-multiple'}}) }}
                            {{ form_errors(form.parent) }}
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">Enregistrer</button>
                        </div>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Liste des catégories</h4>
                    <hr>
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Nombre des produits</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for category in categories %}
                            <tr>
                                <td>{{ category.name }}</td>
                                <td>{{ category.productsCount }}</td>
                                <td>
                                    <a class="btn btn-info btn-sm" href="{{ path('dashboard_category_edit', {'id': category.id}) }}"><i class="fa fa-edit"></i></a>
                                    <a class="btn btn-danger btn-sm" href="{{ path('dashboard_category_confirm_delete', {id: category.id}) }}"><i class="fa fa-trash"></i></a>
                                </td>
                            </tr>
                            {% for child in category.children %}
                                <tr>
                                    <td>──── {{ child.name }}</td>
                                    <td>{{ child.productsCount }}</td>
                                    <td>
                                        <a class="btn btn-info btn-sm" href="{{ path('dashboard_category_edit', {'id': child.id}) }}"><i class="fa fa-edit"></i></a>
                                        <a class="btn btn-danger btn-sm" href="{{ path('dashboard_category_confirm_delete', {id: child.id}) }}"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                            {% endfor %}
                        {% else %}
                            <tr>
                                <td class="text-center" colspan="5">Aucune catégorie trouvée</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    <div class="navigation mt-4">
                        {{ knp_pagination_render(categories) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}